import host
import bf2

class zombieSwap:
	def __init__(self):
		host.registerGameStatusHandler(self.onGameStatusChanged)

	def onGameStatusChanged(self, status):
		if bf2.GameStatus.PreGame == status:
			self.swapZombies()

	def swapZombies(self):
		for x in bf2.playerManager.getPlayers():
			x.setSuicide(1)
			if x.getTeam() == 2 and x.isAIPlayer():
				x.setTeam(1)

def start():
	return zombieSwap()