import host
import bf2

class zombieManager:

	def __init__(self):
		host.registerGameStatusHandler(self.onGameStatusChanged)
		host.registerHandler('PlayerConnect', self.onPlayerConnect, 1)

	def onGameStatusChanged(self, status):
		if bf2.GameStatus.PreGame == status:
			self.swapZombies()

	def swapZombies(self):
		for x in bf2.playerManager.getPlayers():
			x.setSuicide(1)
			if x.getTeam() == 2 and x.isAIPlayer():
				x.setTeam(1)

	def onPlayerConnect(self, player):
		if player.isAIPlayer():
			player.setName("[|C1001"+player.getName()+"|C1001]")

def start():
	return zombieManager()